Bug 716844 - Review Request: django-recaptcha - A Django application for adding ReCAPTCHA to a form
Review Request: django-recaptcha - A Django application for adding ReCAPTCHA...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 699336
  Show dependency treegraph
 
Reported: 2011-06-27 05:07 EDT by Jitesh Shah
Modified: 2011-07-14 21:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-09 06:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitesh Shah 2011-06-27 05:07:44 EDT
Spec URL: https://sites.google.com/a/jiteshs.com/www/public/django-recaptcha.spec
SRPM URL: https://sites.google.com/a/jiteshs.com/www/public/django-recaptcha-0.1-1.fc15.src.rpm

Description:
A Django application providing a simple widget, field and middleware for
adding ReCAPTCHA to a form.

rpmlint is mostly clean. The only problem is that there hasn't been a official release yet, so there is no tarball in their release. Not sure what the "Source" tag in the SPEC file should be.
Comment 2 Rahul Sundaram 2011-06-27 05:59:37 EDT
You should add a comment explaining the steps to generate the tarball.  

http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control

Example:

https://bugzilla.redhat.com/show_bug.cgi?id=716808
Comment 3 pjp 2011-06-27 16:12:48 EDT
[X] Package name - ok.
[?] Package group not specified.
[X] Build successful - ok.
[?] rpmlint SRPMS/django-recaptcha-0.1-1.fc14.src.rpm 
django-recaptcha.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
django-recaptcha.src: W: invalid-url Source0: django-recaptcha-0.1.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

   -> please provide valid source URL.

[?] rpmlint RPMS/noarch/django-recaptcha-0.1-1.fc14.noarch.rpm 
django-recaptcha.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

   -> may be you could re-phrase it to avoid error.

[X] Lincence BSD - ok.
[X] Install/Un-install  - ok.

Overall good. Please fix the couple of errors and mention valid source URL.
Comment 5 Jitesh Shah 2011-06-28 02:48:33 EDT
Is the package group needed? Its not an application that can be launched.
Comment 6 pjp 2011-06-28 08:55:34 EDT
(In reply to comment #5)
> Is the package group needed? Its not an application that can be launched.

  No, it's not necessary, but still could be handy to have.

Also about generating tarball from $ svn export ...

I think the - .gz - compression changes the tarball every time you create it.

=====

$ echo 'hello, world' > 1
$ tar -czf 1.tar.gz 1
$ tar -czf 2.tar.gz 1
$ md5sum 1.tar.gz 2.tar.gz 
12ef3047bf3a93b99fd82e57eb7eeef9  1.tar.gz
6eec3830961866140011554f20bc48fb  2.tar.gz

=====

I'll suggest change the compression to .bz2 or .xz as

.xz -> $ tar -cJvf grapefruit-0.1a3svn31.tar.xz grapefruit-0.1a3/
.bz2 -> $ tar -cjvf grapefruit-0.1a3svn31.tar.bz2 grapefruit-0.1a3/

Please notice the capital(-J) and small(-j) in the options above.
Comment 7 Rahul Sundaram 2011-06-28 16:32:33 EDT
(In reply to comment #5)
> Is the package group needed? Its not an application that can be launched.

Package group is optional but grouping has nothing to do with whether the application is launched or not.  Yum and ffriends doesn't use the RPM groups information at all anymore but instead we use comps (http://fedoraproject.org/wiki/How_to_use_and_edit_comps.xml_for_package_groups).  However the package group information is still used by other package managers like apt, synaptic and smart. Just FYI.
Comment 8 Jitesh Shah 2011-06-29 02:20:15 EDT
Ok. Package group added. Using gzip shouldn't be a problem either. Only the 5th byte changes which is mtime. I don't why mtime changes even when the source file isn't modified between the two invocations. Anyway, I made the tarball using bzip.

New spec:
https://sites.google.com/a/jiteshs.com/www/public/django-recaptcha.spec?attredirects=0&d=1

New SRPM:
https://sites.google.com/a/jiteshs.com/www/public/django-recaptcha-0.1-1.20091212svn6.fc15.src.rpm?attredirects=0&d=1

New koji run:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3168151

rpmlint is clean as usual.
Comment 9 Rahul Sundaram 2011-06-29 06:17:34 EDT
Regardless of md5sum issues,  if you are generating a tarball,  I highly recommend using xz compression or if that is not feasible for any odd reasons, use bz2.  xz offers a much better compression than gzip which not incurring the computation cost of bz2.  We are increasingly standardizing around xz (rpm uses it by default,  livecd-creator uses it by default starting from Fedora 15,  GNOME is dropping everything but xz compressed tarballs etc).
Comment 10 pjp 2011-06-29 06:42:31 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] Build successful - ok.

[X] $ rpmlint SRPMS/django-recaptcha-0.1-1.20091212svn6.fc14.src.rpm 
django-recaptcha.src: W: invalid-url Source0: django-recaptcha-0.1svn6.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  -> ok.

[X] $ rpmlint RPMS/noarch/django-recaptcha-0.1-1.20091212svn6.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  -> ok.

[X] Licence BSD - ok.
[X] Install/Un-install - ok.

# rpm -ivh django-recaptcha-0.1-1.20091212svn6.fc14.noarch.rpm 
Preparing...                ########################################### [100%]
   1:django-recaptcha       ########################################### [100%]
# rpm -qa | grep -i django-recaptcha
django-recaptcha-0.1-1.20091212svn6.fc14.noarch
# rpm -ev django-recaptcha-0.1-1.20091212svn6.fc14
# rpm -qa | grep -i django-recaptcha
# 

Looks good.
Comment 11 pjp 2011-06-29 06:44:06 EDT
Approved.
Comment 12 Jitesh Shah 2011-06-29 11:37:41 EDT
Thanks!

New Package SCM Request
=======================
Package Name: django-recaptcha
Short Description: A Django application for adding ReCAPTCHA to a form
Owners: jiteshs
Branches: 
InitialCC:
Comment 13 Jon Ciesla 2011-06-29 11:48:08 EDT
Git done (by process-git-requests).
Comment 14 Rahul Sundaram 2011-07-09 04:44:35 EDT
Are you going to build this package?
Comment 15 Jitesh Shah 2011-07-09 05:03:12 EDT
Rahul,
already did that more than a week ago.
http://koji.fedoraproject.org/koji/packageinfo?packageID=12164
Comment 16 Rahul Sundaram 2011-07-09 06:32:25 EDT
Ok.  Please remember to close the review request after a successful build.
Comment 17 Rahul Sundaram 2011-07-12 08:52:59 EDT
Package Change Request
======================
Package Name: django-recaptcha
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 18 Jon Ciesla 2011-07-12 23:16:56 EDT
Git done (by process-git-requests).
Comment 19 Rahul Sundaram 2011-07-14 06:03:49 EDT
Package Change Request
======================
Package Name: django-recaptcha
New Branches: f15
Owners: sundaram pjp
InitialCC:
Comment 20 Jon Ciesla 2011-07-14 19:38:18 EDT
Git done (by process-git-requests).
Comment 21 Jitesh Shah 2011-07-14 21:24:32 EDT
Rahul, pjp:
If you want the ownership of the rawhide branch too, I'll be more than happy to give it to you. I don't know django and I won't be able to do a good job maintaining anyway. Let me mnow.

Note You need to log in before you can comment on or make changes to this bug.